program myhole
  use sep

  implicit none
  integer                            :: n1, n2, i1, i2
  integer                            :: nf, nl
  real, dimension (:,:), allocatable :: pp
  real                               :: x,y,u,v

  call sep_init (SOURCE)
  write(0,*) 'here'
  call from_history (n1, n2)
  call from_par ('nf', nf)
  call from_par ('nl', nl)
!  call sep_close ()
  
  write(0,*) 'nf=',nf
  write(0,*) 'nl=',nl
  write(0,*) 'n2=',n2
  write(0,*) 'n1=',n1

  allocate (pp(n1,n2))
  call sep_read (pp)
  
  do i1=1,n1 
     do i2=1,n2 
         pp(i1,i2) = 1.0
      end do
  end do
  do i1=1,n1 
     do i2=nf,nl 
         pp(i1,i2) = 0.0
      end do
  end do
 write(0,*) 'out of it'
  call sep_write (pp)
  deallocate (pp)
  call exit (0)
end program myhole

